#block-drupalcon-newsletter {

  background-color: $color-blue;
  color: $color-white;
  padding: 3em 0;

  .field--name-body {
    @include max-width;
    @include breakpoint($size-normal) {
      >.field__item {
        align-items: center;
        display: flex;
        justify-content: space-between;
      }
    }
  }

  p {
    font-size: $font-medium;
    margin: .5em 0;
    @include breakpoint($size-normal) {
      padding-top: 0;
      padding-right: 1em;
    }
  }

  .newsletter-form {
    flex-grow: 1;
  }

  // Mailchimp form
  .mc-field-content {
    @include breakpoint($size-medium) {
      align-items: center;
      display: flex;
    }
    & > div {
      flex: 1;
      margin: .75em .5em;
      @include breakpoint($size-medium) {
        margin: .5em;
      }
      &.mc-field-submit {
        flex: .5;
      }
    }
    input {
      width: 100%;
    }
    .button {
      background-color: $color-grey-xxlight;
      border-radius: 0.35em;
      border: 0;
      box-sizing: border-box;
      color: $color-grey;
      cursor: pointer;
      display: inline-block;
      font-family: $font-primary;
      font-size: $font-small;
      font-weight: 500;
      padding: .75em 1.5em;
      text-transform: uppercase;
      transition: background-color .2s ease-in-out;
      @include breakpoint($size-medium) {
        padding: .6em 1.5em;
      }
      &:hover, &:focus {
        background-color: darken($color-grey-xxlight, 10%);
      }
      &:focus {
        outline: 2px solid darken($color-grey-xxlight, 10%);
        outline-offset: .15em;
      }
    }
  }

  // Input.
  input[type='email'],
  input[type='text'] {
    @include placeholder($color-white);
    background: rgba($color-white, .2);
    border: 2px solid transparent;
    border-radius: .25em;
    box-sizing: border-box;
    color: $color-white;
    font-family: $font-primary;
    font-size: $font-small;
    padding: 1em;
    transition: border-color .25s ease-in-out;
    @include breakpoint($size-medium) {
      padding: .5em 1em;
    }
    &:focus {
      border-color: rgba($color-white, .5);
      outline: none;
    }
  }
}
